#### 7.10.3.8 lpCalcSubstDegBound

Procedure from library `fpaprops.lib` (see fpaprops_lib).

Usage:
  lpCalcSubstDegBound(I,s1,s2); I ideal of polynomials, s1 ideal of variables to replace, s2 ideal of polynomials to replace with

Return:
  int, the min degbound required to perform all of the substitutions

Assume:
  - basering is a Letterplace ring

Note:
  convenience method

Example:

    LIB "fpaprops.lib";
    ring r = 0,(x,y,z),dp;
    def R = freeAlgebra(r, 4);
    setring R;
    ideal I = 3*x*x+y*x, x*y*x - z;
    ideal s1 = x, y; // z --> z
    ideal s2 = y*z*z, x; // i.e. x --> yzz and y --> x
    // the substitution probably needs a higher degbound
    lpCalcSubstDegBound(I,s1,s2);
    ==> 10
    lpCalcSubstDegBound(I[1],s1,s2);
    ==> 9

User manual for Singular version 4.4.1, 2025, generated by texi2html.